



<wo:AjaxUpdateContainer id="$dotationsAnnuellesTableViewContainerId">
	<webobject name = "AjoutDotationButton"/>
	<webobject name = "SupprimerDotationBouton"/>
	<webobject name = "DotationAnnuelleTableView"/>
</wo:AjaxUpdateContainer>

<wo:AjaxUpdateContainer id="$detailsDotationContainerId">
	<div class="box">
		<div class="boxTitre">Détails de la dotation</div>
		<wo:ERXNonNullConditional condition="$selectedDotationAnnuelle">
			<wo:conditional condition = "$isEditingDotation">
				<webobject name = "EditionDotationForm">
					<table>
						<tr>
							<td class="label useMinWidth nowrap">Année</td>
							<td>
								<wo:AjaxObserveField>
									<wo:textfield value = "$editingDotationAnnelle.annee"/>
								</wo:AjaxObserveField>
							</td>
						</tr>
						<tr>
							<td class="label useMinWidth nowrap">Montant</td>
							<td>
								<wo:AjaxObserveField>
									<wo:textfield value = "$editingDotationAnnelle.montant" numberformat = "#,##0.00"/> €
								</wo:AjaxObserveField>
							</td>
						</tr>
						<tr>
							<td class="label useMinWidth nowrap">Provenance</td>
							<td>
								<wo:AjaxObserveField>
									<webobject name = "ProvenanceSelectionListe"/>
								</wo:AjaxObserveField>
							</td>
						</tr>
						<tr>
							<td class="label useMinWidth nowrap">Type</td>
							<td>
								<wo:AjaxObserveField>
									<webobject name = "TypeDotationSelectionListe"/>
								</wo:AjaxObserveField>
							</td>
						</tr>
						<tr>
							<td class="label useMinWidth nowrap">Commentaire</td>
							<td>
								<wo:AjaxObserveField>
									<webobject name = "Commentaire"/>
								</wo:AjaxObserveField>
							</td>
						</tr>
					</table>
				</webobject>
				
				<webobject name = "ValiderModificationDotationBouton"/>
				<webobject name = "AnnulerModificationsDotationBouton"/>
				
			</wo:conditional>
			
			<wo:conditional condition = "$isEditingDotation" negate = "true">
				<table>
					<tr>
						<td class="label useMinWidth nowrap">Année</td>
						<td><wo:string value = "$selectedDotationAnnuelle.annee"/></td>
					</tr>
					<tr>
						<td class="label useMinWidth nowrap">Montant</td>
						<td><wo:string value = "$selectedDotationAnnuelle.montant" numberformat = "#,##0.00 €"/></td>
					</tr>
					<tr>
						<td class="label useMinWidth nowrap">Provenance</td>
						<td><wo:string value = "$selectedDotationAnnuelle.structureProvenance.lcStructure" valueWhenEmpty = "$selectedDotationAnnuelle.structureProvenance.llStructure"/></td>
					</tr>
					<tr>
						<td class="label useMinWidth nowrap">Type</td>
						<td><wo:string value = "$selectedDotationAnnuelle.typeDotation.libelle"/></td>
					</tr>
					<tr>
						<td class="label useMinWidth nowrap">Commentaire</td>
						<td><wo:string value = "$selectedDotationAnnuelle.commentaire"/></td>
					</tr>
				</table>
				<webobject name = "EditerDotationButton"/>
			</wo:conditional>
	
		</wo:ERXNonNullConditional>
	</div>
</wo:AjaxUpdateContainer>




<webobject name = "AjoutDotationWindow">
	
	<webobject name = "AjoutDotationForm">
		<div class="box">
			<table>
				<tr>
					<td>Année:</td>
					<td>
						<wo:AjaxObserveField>
							<wo:textfield value = "$editingDotationAnnelle.annee"/>
						</wo:AjaxObserveField>
					</td>
				</tr>
				<tr>
					<td>Montant:</td>
					<td>
						<wo:AjaxObserveField>
							<wo:textfield value = "$editingDotationAnnelle.montant"/>
						</wo:AjaxObserveField>
					</td>
				</tr>
				<tr>
					<td>Provenance:</td>
					<td>
						<wo:AjaxObserveField>
							<webobject name = "ProvenanceSelectionListe"/>
						</wo:AjaxObserveField>
					</td>
				</tr>
				<tr>
					<td>Type:</td>
					<td>
						<wo:AjaxObserveField>
							<webobject name = "TypeDotationSelectionListe"/>
						</wo:AjaxObserveField>
					</td>
				</tr>
				<tr>
					<td>Commentaire:</td>
					<td>
						<wo:AjaxObserveField>
							<webobject name = "Commentaire"/>
						</wo:AjaxObserveField>
					</td>
				</tr>
				
			</table>
		</div>		
	</webobject>
	<webobject name = "ValiderAjoutDotation"/>
	<webobject name = "AnnulerAjoutDotation"/>

</webobject>
